<?php
/**
* Joo ReCaptcha Plugin.
* @version 2.5.0
* @package Joo ReCaptcha Plugin 29.04.2012
* @author CAMMARO/JooTools
* @copyright (C) 2012 by StefySoft.com
* @url http://joomla.stefysoft.com
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
**/

defined( '_JEXEC') or die( 'Direct Access to this location is not allowed.' );
jimport('joomla.environment.browser');

class plgCaptchaJoo_ReCaptcha extends JPlugin
{

	public function __construct($subject, $config)
	{
		parent::__construct($subject, $config);
		$this->loadLanguage();
		require_once(dirname(__FILE__).'/joo_recaptcha/joo_api.php');

		$lang = $this->_getLanguage();
		$pubkey	= $this->params->get('public', '');
		$privkey= $this->params->get('private', '');
		if ($pubkey == null || $pubkey == '')
		{
			throw new Exception(JText::_('PLG_RECAPTCHA_ERROR_NO_PUBLIC_KEY'));
		}
		JooReCaptcha::setKeys($pubkey, $privkey);
		if ($this->params->get('ajax') == 1)
			JooReCaptcha::setAjaxMode(true);
		else 
			JooReCaptcha::setAjaxMode(false);
		if (JBrowser::getInstance()->isSSLConnection())
		{
			JooReCaptcha::setSSL(true);
		}
		$theme = $this->_get_theme_name();
		JooReCaptcha::setTheme($theme);
		if (strlen($lang) > 1) JooReCaptcha::setLang($lang);
	}
	
	private function _get_theme_name()
	{
		switch ($this->params->get('template'))
		{
			case '0':
				return 'red';
				break;
			case '1':
				return 'white';
				break;
			case '2':
				return 'blackglass';
				break;
			case '3':
				return 'clean';
				break;
		}
	}
	
	public function onInit($id)
	{
		JooReCaptcha::process();
		return true;
	}

	public function onDisplay($name, $id, $class)
	{
		$recaptcha = "\n\r<!-- Joo ReCaptcha 2.5 Plugin Start by Joomla.StefySoft.com -->\n";
		$recaptcha .= JooReCaptcha::get('html');
		$recaptcha .= "<br />\n<!-- Joo ReCaptcha 2.5 Plugin End by Joomla.StefySoft.com -->\n\r";
		return $recaptcha;
	}

	public function onCheckAnswer($code)
	{
		JooReCaptcha::process();
		$privatekey	= $this->params->get('private');
		$remoteip	= JRequest::getVar('REMOTE_ADDR', '', 'SERVER');
		$challenge	= JRequest::getString('recaptcha_challenge_field', '');
		$response	= JRequest::getString('recaptcha_response_field', '');;

		if (empty($privatekey))
		{
			$this->_subject->setError(JText::_('PLG_JOORECAPTCHA_ERROR_NO_PRIVATE_KEY'));
			return false;
		}

		if (empty($remoteip))
		{
			$this->_subject->setError(JText::_('PLG_JOORECAPTCHA_ERROR_NO_IP'));
			return false;
		}

		if ($challenge == null || strlen($challenge) == 0 || $response == null || strlen($response) == 0)
		{
			$this->_subject->setError(JText::_('PLG_JOORECAPTCHA_ERROR_EMPTY_SOLUTION'));
			return false;
		}

		$submited = JooReCaptcha::get('submitted');
		$success = JooReCaptcha::get('success');
		//Debug Only!
		/*if( !$submited ){
			$this->_subject->setError(JText::_("Not submited!"));
			return false;
		}*/
		if( !$success ){
			$this->_subject->setError(JText::_($this->params->get('jooerrormessage', 'ReCaptcha text error. Please try again!')));
			//Debug Only!
			//$this->_subject->setError(JText::_('PLG_JOORECAPTCHA_ERROR_'.strtoupper(str_replace('-', '_', JooReCaptcha::get('error')))));
			return false;
		}
		else return true;
	}
	
	private function _getLanguage()
	{
		$auto_lang = $this->params->get('langauto', 1);
		if($auto_lang)
		{
			return '';
		}
		else
		{
			$language = JFactory::getLanguage();
			$tag = explode('-', $language->getTag());
			$tag = $tag[0];
			$available = array('en', 'pt', 'fr', 'de', 'nl', 'ru', 'es', 'tr');
	
			if (in_array($tag, $available))
			{
				return "lang : '" . $tag . "'";
			}
			return "lang : 'en'";
		}
	}
}
?>