<?php
defined('_JEXEC') or die;

/**
 * Template for Joomla! CMS, created with Artisteer.
 * See readme.txt for more details on how to use the template.
 */

require_once dirname(__FILE__) . DIRECTORY_SEPARATOR . 'functions.php';

// Create alias for $this object reference:
$document = $this;

// Shortcut for template base url:
$templateUrl = $document->baseurl . '/templates/' . $document->template;

Artx::load("Artx_Page");

// Initialize $view:
$view = $this->artx = new ArtxPage($this);

// Decorate component with Artisteer style:
$view->componentWrapper();

JHtml::_('behavior.framework', true);

?>
<!DOCTYPE html>
<html dir="ltr" lang="<?php echo $document->language; ?>">
<head>
    <jdoc:include type="head" />
    <link rel="stylesheet" href="<?php echo $document->baseurl; ?>/templates/system/css/system.css" />
    <link rel="stylesheet" href="<?php echo $document->baseurl; ?>/templates/system/css/general.css" />
    
    <!--[if lt IE 9]><script src="https://html5shiv.googlecode.com/svn/trunk/html5.js"></script><![endif]-->
    <link rel="stylesheet" href="<?php echo $templateUrl; ?>/css/template.css" media="screen">
    <!--[if lte IE 7]><link rel="stylesheet" href="<?php echo $templateUrl; ?>/css/template.ie7.css" media="screen" /><![endif]-->


    <script>if ('undefined' != typeof jQuery) document._artxJQueryBackup = jQuery;</script>
    <script src="<?php echo $templateUrl; ?>/jquery.js"></script>
    <script>jQuery.noConflict();</script>

    <script src="<?php echo $templateUrl; ?>/script.js"></script>
    <?php $view->includeInlineScripts() ?>
    <script>if (document._artxJQueryBackup) jQuery = document._artxJQueryBackup;</script>
</head>
<body>

<div id="ecom-main">
    <div class="ecom-page-header">
	    <div class="top-header">
		    <div class="top-search">
	            <?php echo $view->position('search', 'ecom-nostyle'); ?>
		    </div>
			<div class="social-icons">
			    <a href="<?php echo $this->params->get('twitter'); ?>" target="_blank">
			        <img src="templates/ecom/images/upper_twitter.gif" title="twitter" alt="twitter" />
				</a>
				<a href="<?php echo $this->params->get('facebook'); ?>" target="_blank">
		            <img src="templates/ecom/images/upper_facebook.gif" title="facebook" alt="facebook" />
				</a>
		    </div>
		</div>
	</div>
    <div class="ecom-sheet clearfix">
<header class="ecom-header"><?php echo $view->position('header', 'ecom-nostyle'); ?>

<div class="ecom-logo">
    <a href="index.php">
        <?php echo $view->position('logo', 'ecom-nostyle'); ?>
    </a>
</div>

<div class="ecom-banner">
    <?php echo $view->position('top-banner', 'ecom-nostyle'); ?>
</div>
                   
</header>
<?php if ($view->containsModules('user3', 'extra1', 'extra2')) : ?>
<nav class="ecom-nav">
    
<?php if ($view->containsModules('extra1')) : ?>
<div class="ecom-hmenu-extra1"><?php echo $view->position('extra1'); ?></div>
<?php endif; ?>
<?php if ($view->containsModules('extra2')) : ?>
<div class="ecom-hmenu-extra2"><?php echo $view->position('extra2'); ?></div>
<?php endif; ?>
<?php echo $view->position('user3'); ?>
 
    </nav>
<?php endif; ?>
<?php echo $view->position('banner1', 'ecom-nostyle'); ?>
<?php echo $view->positions(array('top1' => 33, 'top2' => 33, 'top3' => 34), 'ecom-block'); ?>
<div class="ecom-layout-wrapper">
                <div class="ecom-content-layout">
                    <div class="ecom-content-layout-row">
                        <?php if ($view->containsModules('top-left')) : ?>
<div class="ecom-layout-cell ecom-sidebar0">
<?php echo $view->position('top-left', 'ecom-block'); ?>




                        </div>
<?php endif; ?>
                        <?php if ($view->containsModules('left')) : ?>
<div class="ecom-layout-cell ecom-sidebar1">
<?php echo $view->position('left', 'ecom-block'); ?>




                        </div>
<?php endif; ?>
                        <div class="ecom-layout-cell ecom-content">
<?php
  echo $view->position('banner2', 'ecom-block');
  if ($view->containsModules('breadcrumb'))
    echo artxPost($view->position('breadcrumb'));
  echo $view->positions(array('user1' => 50, 'user2' => 50), 'ecom-article');
  echo $view->position('banner3', 'ecom-nostyle');
  echo artxPost(array('content' => '<jdoc:include type="message" />', 'classes' => ' ecom-messages'));
  echo '<jdoc:include type="component" />';
  echo $view->position('banner4', 'ecom-nostyle');
  echo $view->positions(array('user4' => 50, 'user5' => 50), 'ecom-article');
  echo $view->position('banner5', 'ecom-nostyle');
?>



                        </div>
                        <?php if ($view->containsModules('right')) : ?>
<div class="ecom-layout-cell ecom-sidebar2">
<?php echo $view->position('right', 'ecom-block'); ?>


                        </div>
<?php endif; ?>
                    </div>
                </div>
            </div>
<?php echo $view->positions(array('bottom1' => 33, 'bottom2' => 33, 'bottom3' => 34), 'ecom-block'); ?>
<?php echo $view->position('banner6', 'ecom-nostyle'); ?>

<footer class="ecom-footer">
<div class="ecom-content-layout-wrapper layout-item-0">
<div class="ecom-content-layout layout-item-1">
    <div class="ecom-content-layout-row">
	<div style="padding: 20px 20px 0px 20px; height: 125px;">
    <div class="ecom-layout-cell layout-item-2" style="width: 188px;">
<?php if ($view->containsModules('footer1')) : ?>
    <?php echo $view->position('footer1', 'ecom-nostyle'); ?>
<?php else: ?>
        <p><br></p>
    <?php endif; ?>
</div><div class="ecom-layout-cell layout-item-2" style="width: 188px;">
<?php if ($view->containsModules('footer2')) : ?>
    <?php echo $view->position('footer2', 'ecom-nostyle'); ?>
<?php else: ?>
        <p><br></p>
    <?php endif; ?>
</div><div class="ecom-layout-cell layout-item-2" style="width: 188px;">
<?php if ($view->containsModules('footer3')) : ?>
    <?php echo $view->position('footer3', 'ecom-nostyle'); ?>
<?php else: ?>
        <p><br></p>
    <?php endif; ?>
</div><div class="ecom-layout-cell layout-item-2" style="width: 188px;">
<?php if ($view->containsModules('footer4')) : ?>
    <?php echo $view->position('footer4', 'ecom-nostyle'); ?>
<?php else: ?>
        <p><br></p>
    <?php endif; ?>
</div><div class="ecom-layout-cell layout-item-2" style="width: 188px;">
<?php if ($view->containsModules('footer5')) : ?>
    <?php echo $view->position('footer5', 'ecom-nostyle'); ?>
<?php else: ?>
        <p><br></p>
    <?php endif; ?>
	    <div style="text-align: center;">
	    <a href="<?php echo $this->params->get('twitter'); ?>" target="_blank">
		    <img src="templates/ecom/images/upper_twitter.gif" title="twitter" alt="twitter" />
		</a>
		<a href="<?php echo $this->params->get('facebook'); ?>" target="_blank">
		    <img src="templates/ecom/images/upper_facebook.gif" style="margin-left: 4px;" title="facebook" alt="facebook" />
		</a>
	</div>
</div>
    </div>
	</div>
</div>
</div>
<div class="ecom-content-layout-wrapper layout-item-3">
<div class="ecom-content-layout layout-item-4">
    <div class="ecom-content-layout-row">
    <div class="ecom-layout-cell layout-item-5" style="width: 50%">
<?php if ($view->containsModules('footer6')) : ?>
    <?php echo $view->position('footer6', 'ecom-nostyle'); ?>
<?php else: ?>
        <p><br></p>
    <?php endif; ?>
</div><div class="ecom-layout-cell layout-item-6" style="width: 50%">
<?php if ($view->containsModules('footer7')) : ?>
    <?php echo $view->position('footer7', 'ecom-nostyle'); ?>
<?php else: ?>
        <p style="text-align: right;"><br></p>
    <?php endif; ?>
</div>
    </div>
</div>
</div>

</footer>

    </div>
    <div class="ecom-page-footer"></div>
</div>



<?php echo $view->position('debug'); ?>
</body>
</html>